packages: pear-autoup.sh - search pear packages using php-pear dep to match...

glen glen at pld-linux.org
Sun Feb 27 13:47:21 CET 2011


Author: glen                         Date: Sun Feb 27 12:47:21 2011 GMT
Module: packages                      Tag: HEAD
---- Log message:
- search pear packages using php-pear dep to match other "pear" channels too

---- Files affected:
packages:
   pear-autoup.sh (1.14 -> 1.15) 

---- Diffs:

================================================================
Index: packages/pear-autoup.sh
diff -u packages/pear-autoup.sh:1.14 packages/pear-autoup.sh:1.15
--- packages/pear-autoup.sh:1.14	Tue Nov 16 15:34:04 2010
+++ packages/pear-autoup.sh	Sun Feb 27 13:47:16 2011
@@ -16,7 +16,7 @@
 # needed pkgs for upgrade test
 rpm -q php-packagexml2cl php-pear-PEAR_Command_Packaging
 
-[ -s pear.desc ] || { poldek --upa; poldek -q -Q --skip-installed --cmd 'desc php-pear-*' > pear.desc; }
+[ -s pear.desc ] || { poldek --upa; poldek -q -Q --skip-installed --cmd 'search -r php-pear | desc' > pear.desc; }
 [ -s pear.pkgs ] || {
 	awk '/^Source.package:/{print $3}' < pear.desc | sed -re 's,-[^-]+-[^-]+.src.rpm$,,' | sort -u > pear.pkgs
 
@@ -42,9 +42,12 @@
 }
 [ -s pear.upgrades ] || pear list-upgrades > pear.upgrades
 
+subst=$(pear list-channels | awk -vORS="|" '/^[a-z]/{print $2}')
+subst="s/^php-(${subst%\|})-//"
+
 for pkg in $(cat pear.pkgs); do
 	# check if there's update in channel
-	pearpkg=${pkg#php-pear-}
+	pearpkg=$(echo "$pkg" | sed -re "$subst")
 	ver=$(awk -vpkg=$pearpkg '$2 == pkg {print $5}' pear.upgrades)
 	[ "$ver" ] || continue
 
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/pear-autoup.sh?r1=1.14&r2=1.15&f=u



More information about the pld-cvs-commit mailing list